* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family:
    "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  width: 100%;
  background: #fff;
  z-index: 1000;
  top: 0;
  border-bottom: 1px solid #000;
  box-shadow: 5px 5px 5px #000;
  padding: 15px 20px;
}

.logo {
  font-weight: 400;
  font-style: italic;
  cursor: pointer;
}

.logo:hover {
  font-style: normal;
}

.menu {
  list-style: none;
  display: flex;
  gap: 15px;
}

.menu li a {
  text-decoration: none;
  font-size: 16px;
  color: #000;
}

.menu li a:hover {
  opacity: 0.6;
}

.hero {
  min-height: 100vh;
  width: 70%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: auto;
  gap: 20px;
  text-align: center;
}

.hero-title {
  font-size: 2.5rem;
  letter-spacing: 3px;
}

.hero-title .highlight {
  color: #2563eb;
}

.hero-subtitle {
  letter-spacing: 3px;
  font-weight: 400;
}

.hero-text {
  max-width: 700px;
  word-spacing: 5px;
  line-height: 1.6;
}

.about {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 60%;
  margin: auto;
}

.about .section-title {
  font-size: 2rem;
  text-align: center;
  letter-spacing: 3px;
  padding-bottom: 5%;
}

.about-text {
  word-spacing: 3px;
  line-height: 1.6;
  margin-bottom: 15px;
}

.skills {
  min-height: 100vh;
  width: 70%;
  margin: auto;
}

.skills .section-title {
  font-size: 2rem;
  letter-spacing: 3px;
  text-align: center;
  padding: 10% 0 5% 0;
}

.skills-list {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 15px;
  justify-content: center;
}

.skill-item {
  border: 1px solid #000;
  padding: 20px;
  width: 70%;
  border-radius: 10px;
  text-align: center;
  transition:
    transform 0.3s,
    background 0.3s;
}

.skill-item:hover {
  border: none;
  background: #2563eb;
  color: #fff;
  transform: scale(1.05);
}

.education {
  min-height: 100vh;
  width: 70%;
  margin: auto;
}

.education .section-title {
  font-size: 2rem;
  letter-spacing: 3px;
  text-align: center;
  padding: 10% 0 5% 0;
}

.edu-list {
  list-style: none;
}

.edu-item {
  border: 1px solid #000;
  border-radius: 10px;
  padding: 15px 20px;
  margin-bottom: 20px;
  box-shadow: 5px 5px 10px #000;
}

.edu-item:hover {
  border: none;
  background: #2563eb;
  color: #fff;
}

.edu-item h3 {
  margin: 5px 0;
  font-size: 1.2rem;
}

.edu-item h3 span {
  font-style: italic;
  font-weight: 400;
}

.edu-institute {
  letter-spacing: 1.5px;
  margin: 5px 0;
}

.edu-details {
  list-style: none;
  display: flex;
  justify-content: space-between;
  margin: 5px 0;
}

.edu-year,
.edu-percent {
  font-weight: 500;
}

.contact {
  min-height: 100vh;
  width: 70%;
  margin: auto;
}

.contact .section-title {
  font-size: 2rem;
  letter-spacing: 3px;
  text-align: center;
  padding: 10% 0 5% 0;
}

.contact-form fieldset {
  width: 85%;
  margin: auto;
  border: 1px solid #000;
  border-radius: 10px;
  padding: 20px;
}

.contact-form legend {
  font-size: 1.2rem;
  font-weight: 500;
  padding: 0 5px;
}

.contact-form label {
  display: block;
  font-size: 18px;
  margin-top: 10px;
}

.contact-form input,
.contact-form textarea {
  display: block;
  width: 100%;
  border: 1px solid #000;
  border-radius: 5px;
  font-size: 16px;
  outline: none;
  color: #000;
  margin: 5px 0 10px 0;
  padding: 8px;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border: 1px solid #2563eb;
}

.contact-form button {
  display: block;
  width: 50%;
  margin: 15px auto 0 auto;
  background: #2563eb;
  border: none;
  border-radius: 5px;
  color: #fff;
  font-size: 1rem;
  cursor: pointer;
  padding: 10px;
  transition: all 0.3s ease-in-out;
}

.contact-form button:hover {
  background: #1e40af;
  transform: scale(1.05);
}

.footer {
  text-align: center;
  font-size: 0.9rem;
  padding: 10px 0;
}

.social-icon {
  text-decoration: none;
  margin: 3px 10px;
  transition: color 0.3s ease;
}

.social-icon:hover {
  color: #2563eb;
}

@media (max-width: 768px) {
  .navbar {
    flex-direction: column;
    padding: 15px;
  }

  .hero {
    width: 90%;
  }

  .hero-title {
    font-size: 2rem;
  }

  .about {
    width: 90%;
  }

  .about .section-title {
    font-size: 1.8rem;
  }

  .skills {
    width: 90%;
  }

  .skills .section-title {
    font-size: 1.8rem;
    padding-top: 25%;
  }

  .skill-item {
    width: 100%;
  }

  .skills-list {
    grid-template-columns: 1fr;
  }

  .education {
    width: 90%;
  }

  .education .section-title {
    font-size: 1.8rem;
    padding-top: 25%;
  }

  .edu-details {
    flex-direction: column;
    gap: 5px;
  }

  .contact {
    width: 90%;
  }

  .contact .section-title {
    font-size: 1.8rem;
    padding-top: 25%;
  }

  .contact-form fieldset {
    width: 100%;
  }

  .contact-form button {
    width: 70%;
  }
}
